%define name	acidrip
%define version	0.14

Name: 	 	%{name}
Summary: 	Simple GUI for MEncoder
Summary(de):	Einfaches GUI für Mencoder
Version: 	%{version}
Release: 	%mkrel 9
Source:		http://prdownloads.sourceforge.net/acidrip/%{name}-%{version}.tar.xz
Patch0:		progress_output.patch
URL:		http://untrepid.com/acidrip
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	mencoder
BuildRequires:  lsdvd
BuildRequires:  perl-Gtk2
BuildRequires:  perl-devel
Requires:	lsdvd
Requires:	mencoder
Requires:	perl-Gtk2
Provides:	perl(AcidRip::acidrip) perl(AcidRip::DVDInfo)
Provides:	perl(AcidRip::interface) perl(AcidRip::signals)
Provides:	perl(AcidRip::messages)


%description
AcidRip is a Gtk::Perl application for ripping and encoding DVD's. It neatly
wraps MPlayer and MEncoder, which I think is pretty handy, seeing as MPlayer
is by far the best bit of video playing kit around for Linux. As well as
creating a simple Graphical Interface for those scared of getting down and
dirty with MEncoders command line interface, It also automates the process in
a number of ways:
    * Parses DVD into contents tree
    * Finds longest title
    * Calculate video bitrate for given filesize
    * Finds black bands and crops them
    * Gives suggestions for improved performance
    * Other stuff!

#german
%description -l de
AcidRip ist eine Gtk:: Perl-Anwendung zum Rippen und Codieren von DVD's. 
Es benutzt MPlayer und MEncoder, was meiner Meinung nach recht praktisch ist, 
da MPlayer bei weitem der beste Video-player und -coder unter Linux ist. 
Ausserdem bietet das GUI noch folgende Highlights; * Analysiert die DVD 
Struktur * Findet den Haupttitel * Berechnung der Video-Bitrate für 
bestimmte Dateigröße * Bildverbesserung usw.usw…


%prep
%setup -q
perl -p -i -e 's/mp3lame/copy/g' Makefile.PL

%patch0 -p1

%build
perl Makefile.PL
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALLDIRS=vendor

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=AcidRip
Comment=Video ripping and conversion
Exec=%{name}
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;Video;AudioVideo;AudioVideoEditing;GTK;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING TODO
%{_bindir}/%name
%{perl_vendorlib}/AcidRip
%{_mandir}/man1/*
%_datadir/applications/*


%changelog
* Sun Jul 23 2017 bb2 <bb2> - 0.14-9pclos2017
- rebuild against updates

* Sat Oct 08 2011 leiche <meisssw01 at gmail.com> 0.14-8leiche2011
- rebuild for 64 bit
